@ECHO OFF
set OUTPUT_FILE="C:\dag-test.log"

c:
cd %DAGPATH%

echo %date% > %OUTPUT_FILE%
echo %time% >> %OUTPUT_FILE%
echo. >> %OUTPUT_FILE%

echo .
echo Output file is located at "C:\dag-test.log"
echo Endace recommends you going through the dag-test.log file before
echo sending it back to us at "support@endace.com". If you consider some information as confidential,
echo than please feel free to delete that information before sending the file.
echo .
PAUSE output file is located at "C:\dag-test.log"

echo. >> %OUTPUT_FILE%

echo dagrom -x >> %OUTPUT_FILE%
dagrom -x >> %OUTPUT_FILE% 2>>&1
echo. >> %OUTPUT_FILE%

echo. >> %OUTPUT_FILE%
echo dagconfig >> %OUTPUT_FILE%
dagconfig >> %OUTPUT_FILE% 2>>&1
echo. >> %OUTPUT_FILE%

echo dagconfig -s >> %OUTPUT_FILE%
dagconfig -s >> %OUTPUT_FILE% 2>>&1
dagconfig -s >> %OUTPUT_FILE% 2>>&1
echo. >> %OUTPUT_FILE%

echo. >> %OUTPUT_FILE%

echo dagconfig -e >> %OUTPUT_FILE%
dagconfig -e >> %OUTPUT_FILE% 2>>&1
dagconfig -e >> %OUTPUT_FILE% 2>>&1
echo. >> %OUTPUT_FILE%

echo. >> %OUTPUT_FILE%
echo dagconfig -T >> %OUTPUT_FILE%
dagconfig -T >> %OUTPUT_FILE% 2>>&1
echo. >> %OUTPUT_FILE%
echo. >> %OUTPUT_FILE%




echo DRIVERQUERY | find "DAG" >> %OUTPUT_FILE%
DRIVERQUERY | find "DAG" >> %OUTPUT_FILE% 2>>&1

echo. >>%OUTPUT_FILE%
